GMSH med-file incompatible with Salome Meca in CAELINUX20lite ?

  • Karl Reiling
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
More
1 month 3 weeks ago #9628 by Karl Reiling
Dear all,

a month ago I started working with CAELINUX20 Lite using Salome-Meca and now GMSH for alternative meshing. Thanks a lot for the package!

When creating a mesh in GMSH 3.0.6 there is an error message in Salome Meca indicating missing data in the .med file.

I checked with a new installation on another computer this time installing GMSH 4.7.1 and Salome 9.5.0 (without Code Aster). The .med file is accepted without any problem taking over all data.

There seems to be a disorder in .med-format, however I could not find information which GMSH-version can produce which format of .med file and which version of Salome Meca accepts which .med file-versions.

The code-aster doc is far outdated in this point.

Is there a solution for the CAELINUX20-packages to have a correct fit of med-file-formats when exchanging data?

Best regards
Karl

Please Log in or Create an account to join the conversation.

  • Karl Reiling
  • Topic Author
  • Offline
  • Fresh Boarder
  • Fresh Boarder
More
1 month 1 week ago #9630 by Karl Reiling
Hello all,

from nicolas_p on CA forum I got this information to solve the problem; it works fine (2nd. solution):

Yes there is an incompatible version of med (too recent)

-SalomeMeca2019: med <= 3.3.6 (based on salome9.3)
-SalomeMeca2020: med <= 4.0.0 (based on salome9.4)
-SalomeMeca2021( december 2021): med <= 4.1.0 (based on salome9.6 or salome9.7)

The first solution is to wait salomeMeca2021.

The second solution is to import your mesh in Smesh of salome9.5 (or more recent) and then export it in an older med format (you can select it) with med4.0.0

Please Log in or Create an account to join the conversation.

Moderators: catux
Time to create page: 0.116 seconds
Powered by Kunena Forum